PGASetFitnessType(1)

NAME
PGASetFitnessType - Set the type of fitness algorithm to use.

DESCRIPTION
Valid choices are PGA_FITNESS_RAW, PGA_FITNESS_NORMAL, or PGA_FITNESS_RANKING for raw fitness (the evaluation function value), linear normalization, or linear ranking, respectively. The default is PGA_FITNESS_RAW.

INPUT PARAMETERS
ctx - context variable
fitness_type
    - symbolic constant to specify fitness type

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetFitnessType(ctx, fitness_type)
PGAContext *ctx
int fitness_type

LOCATION
fitness.c

EXAMPLE
Example:
PGAContext *ctx;
:
PGASetFitnessType(ctx, PGA_FITNESS_RANKING);